Subject: Re: bug#37374: "Guix is too old and cannot be upgraded" (guix package -u)

From: Jesse Gibbons <[email-masked]>
Date: Tue, 10 Sep 2019 19:29:30 -0600

On Tue, 2019-09-10 at 17:37 -0600, melon wrote:
> I was attempting to upgrade my Guix (binary, on Linux Mint)
> installation
> today using the 'guix package pull && guix package -u' commands, and
> Guix outputted the following error:
> 
> ERROR: In procedure raise:
> Wrong type (expecting exact integer): #<condition &message [message:
> "Guix is too old and cannot be upgraded"] 7528ac0>
> guix pull: error: You found a bug: the program
> '/gnu/store/y1kqj5ikxx9niyz2zx1gbikspi2xfmi4-compute-guix-derivation'
> failed to compute the derivation for Guix (version:
> "7e143375d3649f3c0bd4c13958b26c086f364647"; system: "x86_64-linux";
> host version: "aa4818c33b6b2fd8d602ee93a2f53005d9472f41"; pull-
> version: 0).
> Please report it by email to <[email-masked]>.
> 
> I searched the Web and mailing list archives for this error but could
> not find anything. Maybe I used the wrong keywords.
> 
> Is there any way I can perform a "manual upgrade" to a newer Guix
> version?
> 

Wow, now I want to keep guix up-to-date all the time. How long has it
been since you pulled/upgraded guix?

The first thing I thought of is manually remove the guix binary run
install script. But that might get complicated.

I think you can look at the git repo on savannah and pull a few commits
after your current commit (run "guix describe" to get the commit, then
"guix pull --commit=COMMIT" where COMMIT is about a hundred commits
after your current commit), repeating until "guix pull" brings guix
fully up-to-date.